Index: testsuites/psxtests/psx13/psx13.scn
===================================================================
--- testsuites/psxtests/psx13/psx13.scn	(revision 0895bdb89c1674d01ecb9886a0624096ef939ad1)
+++ testsuites/psxtests/psx13/psx13.scn	(revision c2f9b97543401e51fd2f72b71fa71bffbd209c12)
@@ -0,0 +1,15 @@
+
+Files initialized successfully.
+Testing device_lseek()... Success.
+Testing dup()............ Success.
+Testing dup2()........... Success.
+Testing fdatasync()...... Success.
+Testing umask().......... Success.
+Testing utime().......... Success.
+Testing pipe()........... Success.
+Testing fsync().......... Success.
+Testing pathconf()....... Success.
+Testing fpathconf()...... Success.
+
+
+*** END OF TEST PSX13 ***
Index: testsuites/psxtests/psx13/test.c
===================================================================
--- testsuites/psxtests/psx13/test.c	(revision 0895bdb89c1674d01ecb9886a0624096ef939ad1)
+++ testsuites/psxtests/psx13/test.c	(revision c2f9b97543401e51fd2f72b71fa71bffbd209c12)
@@ -162,6 +162,6 @@
   if (fd2 != -1) {
 
-    fcntl(F_SETFL, fd1, O_APPEND);
-    flags = fcntl(F_GETFL, fd2);
+    fcntl(fd1, F_SETFL, O_APPEND);
+    flags = fcntl(fd2, F_GETFL);
 
     close (fd1);
@@ -215,6 +215,6 @@
   if (error != -1) {
 
-    fcntl(F_SETFL, fd1, O_APPEND);
-    flags = fcntl(F_GETFL, fd1);
+    fcntl(fd1, F_SETFL, O_APPEND);
+    flags = fcntl(fd1, F_GETFL);
 
     flags = (flags & O_APPEND);
@@ -601,74 +601,72 @@
 {
   if (InitFiles() == TRUE) {
-    puts ("\nFiles initialized successfully.\n");
-
-    puts ("Testing device_lseek()...");
+    printf ("\nFiles initialized successfully.\n");
+
+    printf ("Testing device_lseek()... ");
     if (DeviceLSeekTest() == TRUE)
-      puts ("Success.\n");
-    else
-      puts ("Failed!!!\n");
-
-    puts ("Testing dup()...");
+      printf ("Success.\n");
+    else
+      printf ("Failed!!!\n");
+
+    printf ("Testing dup()............ ");
     if (DupTest() == TRUE)
-      puts ("Success.\n");
-    else
-      puts ("Failed!!!\n");
+      printf ("Success.\n");
+    else
+      printf ("Failed!!!\n");
     
-    puts ("Testing dup2()...");
+    printf ("Testing dup2()........... ");
     if (Dup2Test() == TRUE)
-      puts ("Success.\n");
-    else
-      puts ("Failed!!!\n");
-
-    puts ("Testing fdatasync()...");
+      printf ("Success.\n");
+    else
+      printf ("Failed!!!\n");
+
+    printf ("Testing fdatasync()...... ");
     if (FDataSyncTest() == TRUE)
-      puts ("Success.\n");
-    else
-      puts ("Failed!!!\n");
-
-    puts ("Testing umask()...");
+      printf ("Success.\n");
+    else
+      printf ("Failed!!!\n");
+
+    printf ("Testing umask().......... ");
     if (UMaskTest() == TRUE)
-      puts ("Success.\n");
-    else
-      puts ("Failed!!!\n");
-
-   puts ("Testing utime()...");
+      printf ("Success.\n");
+    else
+      printf ("Failed!!!\n");
+
+   printf ("Testing utime().......... ");
     if (UTimeTest() == TRUE)
-      puts ("Success.\n");
-    else
-      puts ("Failed!!!\n");
-
-   puts ("Testing pipe()...");
+      printf ("Success.\n");
+    else
+      printf ("Failed!!!\n");
+
+   printf ("Testing pipe()........... ");
     if (PipeTest() == TRUE)
-      puts ("Success.\n");
-    else
-      puts ("Failed!!!\n");
-
-   puts ("Testing fsync()...");
+      printf ("Success.\n");
+    else
+      printf ("Failed!!!\n");
+
+   printf ("Testing fsync().......... ");
     if (FSyncTest() == TRUE)
-      puts ("Success.\n");
-    else
-      puts ("Failed!!!\n");
-
-   puts ("Testing pathconf()...");
+      printf ("Success.\n");
+    else
+      printf ("Failed!!!\n");
+
+   printf ("Testing pathconf()....... ");
     if (PathConfTest() == TRUE)
-      puts ("Success.\n");
-    else
-      puts ("Failed!!!\n");
+      printf ("Success.\n");
+    else
+      printf ("Failed!!!\n");
  
-   puts ("Testing fpathconf()...");
+   printf ("Testing fpathconf()...... ");
     if (FPathConfTest() == TRUE)
-      puts ("Success.\n");
-    else
-      puts ("Failed!!!\n");
+      printf ("Success.\n");
+    else
+      printf ("Failed!!!\n");
   }
 
 
   else
-    puts ("\n\nError opening files for write!!!!\n");
-
-  puts( "\n\n*** XXX ***" );
-
-  puts( "\n\n*** END OF TEST PSX13 ***" );
+    printf ("\n\nError opening files for write!!!!\n");
+
+  printf( "\n\n*** END OF TEST PSX13 ***" );
   exit(0);
 }
